toolzerhub API Docs

List board categories

Returns the category tags for a board, for use as the tag filter elsewhere.

2 credits / requestBilled only on success
GET
/v2/douyin/billboard/categories

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

billboard_type?string

Which board's categories to list: total, city or rise. Note that hot is not accepted by Douyin.

Default"total"

Value in

  • "total"
  • "city"
  • "rise"
snapshot_time?string

Moment to read categories at, as yyyyMMddHHmmss.

start_date?string

Range start as yyyyMMdd.

end_date?string

Range end as yyyyMMdd.

keyword?string

Optional term to filter the list by.

curl -X GET "https://example.com/v2/douyin/billboard/categories" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "data": [      {        "code": "...",        "name": "..."      }    ]  }}